Name: octave-optimization
Version: 1.2
Release: alt1.1
Summary: Functions for optimization tasks contributed to Octave
Packager: Paul Wolneykien <manowar@altlinux.ru>

Group: Sciences/Mathematics
License: GPLv2+ and Public Domain
Url: http://octave.sourceforge.net/

Source0: optim.tar.gz

Requires: %name-base

# Automatically added by buildreq on Mon Apr 25 2011
# optimized out: libgfortran-devel libgotoblas2-devel libhdf5-6-seq libstdc++-devel libtinfo-devel octave zlib-devel
BuildRequires: gcc-c++ libfftw3-devel libhdf5-devel liblapack-devel libncurses-devel libreadline-devel octave-devel

%description
Octave-forge is a community project for collaborative development of
Octave extensions. This is meta-package for optimization tasks.

%package base
Group: Sciences/Mathematics
Requires: octave(miscellaneous) >= 1.0.11
Requires: octave(struct) >= 1.0.9
Provides: octave(optim) = 1.0.16
Requires: octave >= 3.2.4-alt2.2
Summary: Base functions for optimization tasks contributed to Octave

%description base
Octave-forge is a community project for collaborative development of
Octave extensions. The extensions in this package include additional
data types, and functions for optimization tasks, including:

  - optim-v1.0.16 -- Unconstrained Non-linear Optimization toolkit.

%prep
%setup -T -c %name-%version

%build
octave -q -H --no-site-file --eval "pkg build -nodeps . %SOURCE0"

%install
mkdir -p %buildroot%_datadir/octave/packages
mkdir -p %buildroot%_libdir/octave/packages
octave -q -H --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -local -nodeps optim-1.0.16.tar.gz"

%files base
%_datadir/octave/packages/optim-1.0.16
%_libdir/octave/packages/optim-1.0.16

%changelog
* Wed Apr 27 2011 Paul Wolneykien <manowar@altlinux.ru> 1.2-alt1.1
- Rebuild with the new version of Octave (3.4.0).

* Mon Apr 25 2011 Paul Wolneykien <manowar@altlinux.ru> 1.2-alt1
- optimization v1.0.16
- Remove the post scripts: rely on a filetrigger (starting from Octave v3.4.2-alt2.2)

* Mon Apr 18 2011 Paul Wolneykien <manowar@altlinux.ru> 1.1-alt2
- Pre-require Octave in order to run post scripts properly.

* Fri Jan 29 2010 Paul Wolneykien <manowar@altlinux.ru> 1.1-alt1
- Optimizations 1.0.6

* Wed May 20 2009 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt2
- Spawn the '-base' subpackage.

* Fri Nov 28 2008 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt1
- Initial build for ALTLinux
